List dnc entries
curl --request GET \
--url https://api.callaro.ai/api/v1/dnc_entries \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.callaro.ai/api/v1/dnc_entries', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.callaro.ai/api/v1/dnc_entries"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": {
"items": [
{
"id": "<string>",
"phone_e164": "<string>",
"reason": "<string>",
"source": "<string>",
"source_campaign_id": "<string>",
"added_by_id": "<string>",
"created_at": "<string>"
}
]
},
"message": "<string>",
"meta": {},
"request_id": "<string>"
}{
"error": "<string>",
"error_code": "<string>",
"request_id": "<string>",
"details": {},
"errors": [
"<string>"
]
}{
"error": "<string>",
"error_code": "<string>",
"request_id": "<string>",
"details": {},
"errors": [
"<string>"
]
}Dnc
List dnc entries
From api/v1/dnc_entries#index in voice_saas_api. Fields come from that action’s strong params / params usage.
GET
/
api
/
v1
/
dnc_entries
List dnc entries
curl --request GET \
--url https://api.callaro.ai/api/v1/dnc_entries \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.callaro.ai/api/v1/dnc_entries', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.callaro.ai/api/v1/dnc_entries"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": {
"items": [
{
"id": "<string>",
"phone_e164": "<string>",
"reason": "<string>",
"source": "<string>",
"source_campaign_id": "<string>",
"added_by_id": "<string>",
"created_at": "<string>"
}
]
},
"message": "<string>",
"meta": {},
"request_id": "<string>"
}{
"error": "<string>",
"error_code": "<string>",
"request_id": "<string>",
"details": {},
"errors": [
"<string>"
]
}{
"error": "<string>",
"error_code": "<string>",
"request_id": "<string>",
"details": {},
"errors": [
"<string>"
]
}Authorizations
bearerAuthtenantApiKey
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Optional tenant context selector for JWT/partner key callers.
Query Parameters
Free-text search (also accepts search_term).
Alias of search.
Structured Filterable filters.
Sort field or sort[field].
Sort direction (asc/desc).
1-based page for offset pagination.
Page size (also accepts page_size).
Alias of per_page.
Was this page helpful?